<template>
  <div class="modal-container" id="unauthorizedModal">
    <div class="modal-header">
      <p class="title">{{ $t('common.modal.unauthorized.title') }}</p>
      <button type="button" @click="closeModal()" class="btn-close"><span aria-hidden="true">×</span></button>
    </div>
    <div class="modal-body">
      <div class="form-group">
        <p>{{ $t('common.modal.unauthorized.body') }}</p>
      </div>
      <div class="text-center">
        <button type="button" class="btn btn-submit" @click="closeModal()">{{ $t('common.modal.unauthorized.login') }}</button>
      </div>
    </div>
  </div>
</template>
<script>

export default {
  methods: {
    closeModal () {
      window.location.href = '/login';
    },
  },
};
</script>
<style lang="scss" scoped>
  @import '../../../../sass/mobile/typoVariables';
  * {
    font-family: $font-family-home;
  }
  #unauthorizedModal {
    width: 270rem;
    height: 245rem;
    border-radius: 10px;
    background: $bg_primary;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    margin: auto;
    .modal-header {
      padding: 0;
      border: none;
      position: relative;
      .title {
        font-size: 16rem;
        font-weight: bold;
        color: #1c1c1c;
        text-align: center;
        line-height: 3.13;
        padding: 31rem 0 5rem;
      }
      .btn-close {
        width: 20rem;
        height: 20rem;
        background-color: #ffffff;
        border: 1px solid #fff;
        border-radius: 50%;
        position: absolute;
        outline: none;
        top: 10rem;
        right: 10px;
        span {
          cursor: pointer;
          color: #989898;
          font-size: 11rem;
        }
      }
    }
    .modal-body {
      margin: 0;
      padding: 0 20rem;
      .form-group {
        text-align: center;
        background: none;
        position: relative;
        padding: 0;
        width: 100%;
        font-size: 14rem;
      }
      .btn-submit {
        margin-top: 30rem;
        width: 90rem;
        height: 32rem;
        border-radius: 30rem;
        border: solid 1px #fa7300;
        background: #fff;
        font-size: 12rem;
        font-weight: bold;
        font-style: normal;
        font-stretch: normal;
        line-height: normal;
        letter-spacing: 0.5px;
        color: #fa7300;
        outline: none;
        cursor: pointer;
      }
    }
  }
</style>
